gdal translate creation options are not immediately added to the command

2013-12-02 03:06 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17789

Description

open the gdal translate tool, activate the "creation options" checkbox and then add an option.

As you will see this option is not immediately added to the command in the bottom of the dialog.

Now choose one of the predifined profiles, and the switch back the "default" profile.

Now the manually added option will show again and now the option is added to the command.

See attached images.

Related issues:

Related to QGIS Application - Bug report # 8964: GDAL Translate Problem on QG... Closed 2013-10-28

History

#1 - 2013-12-10 05:59 PM - Nicolas Cadieux

Hi,

I also noticed that the -of switch is always on Gtiff even if a different file format is selected. If, for example the xyz format is selected, the resulting file will be

a Gtiff but with a .xyz extension.Therefore, the command must be manually changed if we want a true .xyz format file.

Thanks

#2 - 2013-12-10 06:09 PM - Nicolas Cadieux

See #8964

#3 - 2014-06-20 07:04 AM - Giovanni Manghi

- Target version changed from Future Release - High Priority to Future Release - Lower Priority

#4 - 2016-12-30 04:55 AM - Alexander Bruy

- Status changed from Open to Closed

Closed as GDALTool now replaced with Processing where this was fixed
